Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

DSM Domain APIs

Getting DSM Domains

search

Getting DSM Domains

Use the post /v1/cckm/dsm/get-domains API to fetch the list of domains from a DSM. These domains can then be added to the CipherTrust Manager and managed through CCKM.

Syntax

curl -k '<IP>/api/v1/cckm/dsm/get-domains' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.
connection string Name or ID of the DSM connection.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/dsm/get-domains' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjdiYzNkOWM4LWRiYTQtNDVmMy05YWNiLWI3NGM2MzQyYzYyMCIsImlhdCI6MTYxNDc1MTg1MSwiZXhwIjoxNjE0NzUyMTUxfQ.ahdxfM7-WA4u7sotHy6qelc9MkoZytst7oZWsvE7Cr0' -H 'Content-Type: application/json' --data-binary $'{\n  "connection": "dsm-connection"\n}' --compressed

Example Response

[
    {
        "id": 1385,
        "url": "/v1/domains/1385",
        "name": "TestDomain",
        "adminType": "ALL_ADMIN",
        "kmipEnabled": false,
        "fingerprintRegistrationDisabled": false,
        "registrationTokenEnabled": false
    },
    {
        "id": 1769,
        "url": "/v1/domains/1769",
        "name": "testkeydomain",
        "adminType": "ALL_ADMIN",
        "kmipEnabled": false,
        "fingerprintRegistrationDisabled": false,
        "registrationTokenEnabled": false
    }
]

The output shows the list of available DSM domains linked with the specified DSM connection. You can now add these DSM domains to CCKM using their IDs (for example, "id": 1385). Refer to Adding DSM Domains for details.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.